Page MenuHomeFreeBSD

Remove DSACK debug logging
ClosedPublic

Authored by rscheff on Jan 16 2020, 4:52 PM.

Details

Summary

Left dmesg debug logging in the DSACK code.
As the DSACK functionality was thoroughly debugged in the
meantime, this is no longer necessary.

DSACK timeline and required patches so far:

rS347382 (2019-05-09) - initial dirty hack
rS347407 (2019-05-09) - no C++ comments
rS348728 (2019-06-96) - RACK changes
rS349987 (2019-07-14) - send dsack blk only once
rS351725 (2019-09-02) - fully conform with rfc2883
rS351801 (2019-09-02) - fix SACK block generation
rS352072 (2019-09-02) - update dsack only for data segments
rS352386 (2019-09-16) - fix out of bounds write
rS356796 (2020-01-16) - remove debug code (this change)
rS357100 (2020-01-24) - Fix TCP FO

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rscheff created this revision.Jan 16 2020, 4:52 PM
tuexen accepted this revision.Jan 16 2020, 5:12 PM
This revision is now accepted and ready to land.Jan 16 2020, 5:12 PM
This revision was automatically updated to reflect the committed changes.
tuexen edited the summary of this revision. (Show Details)Jan 16 2020, 5:16 PM
tuexen edited the summary of this revision. (Show Details)
tuexen edited the summary of this revision. (Show Details)Apr 24 2020, 6:52 PM
tuexen edited the summary of this revision. (Show Details)Apr 24 2020, 6:54 PM
tuexen edited the summary of this revision. (Show Details)Apr 24 2020, 7:07 PM